@import '../../../assets/styles/functions.scss';
@import '../../../assets/styles/mixin.scss';

.header {
  background-color: getBgColor(bg1);
  padding: 32px 15px 30px 16px;
  position: relative;

  &__list {
    @include flex(space-between, center);
    flex-wrap: wrap;
  }

  &__btn-block {
    order: 0;
  }

  &__btn {
    @include text(16px, 700, capitalize);
    background-color: getBgColor(bg2);
    color: getTextColor(text1);
    border: 1px solid getBgColor(bg2);
    padding: 11px 10px;
  }

  @media (min-width: 481px) {
    & {
      padding: 22px 20px 18px;
    }
  }

  @media (min-width: 993px) {
    & {
      padding-top: 30px;
      background-color: getBgColor(transparent);
    }

    &__btn-block {
      order: 3;
    }

    &__btn {
      padding: 11px 20px;
    }

    &__btn:hover{
      color: getTextColor(text2);
      background-color: getBgColor(bg3);
    }
  }
}
